require_relative 'project'

module HoodimusPrime

    class MatchBook < Project
    	def initialize(name, balance=0, goal=0)
    	  super(name, balance, goal)
    	  @half_goal = goal / 2
        end

        def half_goal?
        	@half_goal <= balance
        end

        def gains
        	if half_goal?
        		@balance += (25*2)
        		puts "#{@name} is halfway to its goal!" if half_goal?
        	else
        		super
        	end
        end
    end


    if __FILE__ == $0
      matchbook = MatchBook.new("Match Book", 0, 100)
      5.times { matchbook.gains }
      puts matchbook.balance
    end
end